Skip to navigation

Get Schema Records

Returns all records from a supported schema on a Connection.

This endpoint supports only the HubSpot deals_pipelines schema. It returns all records from that schema in a single response, without sampling or pagination. Other backends and schemas are unsupported.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the connection
schema_idstringRequired
Identifier of the schema within the connection

Headers

X-Polytomic-VersionstringRequired

Response

OK
datalist of maps from strings to any or nullOptional
Sample records from the schema

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error